Ensure we do not oversubscribe freespace for AIO stress test (take 2).
[xfstests-dev.git] / 006
1 #! /bin/sh
2 # FS QA Test No. 006
3 #
4 # permname
5 #
6 #-----------------------------------------------------------------------
7 # Copyright (c) 2000-2001 Silicon Graphics, Inc.  All Rights Reserved.
8
9 # This program is free software; you can redistribute it and/or modify it
10 # under the terms of version 2 of the GNU General Public License as
11 # published by the Free Software Foundation.
12
13 # This program is distributed in the hope that it would be useful, but
14 # WITHOUT ANY WARRANTY; without even the implied warranty of
15 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
16
17 # Further, this software is distributed without any warranty that it is
18 # free of the rightful claim of any third person regarding infringement
19 # or the like.  Any license provided herein, whether implied or
20 # otherwise, applies only to this software file.  Patent licenses, if
21 # any, provided herein do not apply to combinations of this program with
22 # other software, or any other product whatsoever.
23
24 # You should have received a copy of the GNU General Public License along
25 # with this program; if not, write the Free Software Foundation, Inc., 59
26 # Temple Place - Suite 330, Boston MA 02111-1307, USA.
27
28 # Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
29 # Mountain View, CA  94043, or:
30
31 # http://www.sgi.com 
32
33 # For further information regarding this notice, see: 
34
35 # http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
36 #-----------------------------------------------------------------------
37 #
38 # creator
39 owner=dxm@sgi.com
40
41 seq=`basename $0`
42 echo "QA output created by $seq"
43
44 here=`pwd`
45 tmp=/tmp/$$
46 status=0        # success is the default!
47 trap "_cleanup; exit \$status" 0 1 2 3 15
48
49 _cleanup()
50 {
51     cd /
52     rm -f $tmp.*
53     rm -rf $testdir/permname.$$
54     _cleanup_testdir
55 }
56
57 _count()
58 {
59     $AWK_PROG '
60         BEGIN   { count = 0 }
61                 { count ++ }
62         END     { print count " files created" }
63     '
64 }
65
66 # get standard environment, filters and checks
67 . ./common.rc
68 . ./common.filter
69
70 # real QA test starts here
71 _supported_fs xfs udf nfs
72 _supported_os IRIX Linux
73
74 _setup_testdir
75
76 mkdir $testdir/permname.$$
77
78 echo ""
79 echo "single thread permname"
80 echo "----------------------"
81 mkdir $testdir/permname.$$/a
82 cd $testdir/permname.$$/a
83 $here/src/permname -c 4 -l 6 -p 1 || echo "permname returned $?"
84 find . | _count
85
86 echo ""
87 echo "multi thread permname"
88 echo "----------------------"
89 mkdir $testdir/permname.$$/b
90 cd $testdir/permname.$$/b
91 $here/src/permname -c 4 -l 6 -p 4 || echo "permname returned $?"
92 find . | _count
93
94 exit